### Function

# GLib reload_user_special_dirs_cache

since: 2.22

#### Declaration

    void
    g_reload_user_special_dirs_cache (
      void
    )

#### Description

Resets the cache used for g_get_user_special_dir(), so that the latest on-disk version is used. Call this only if you just changed the data on disk yourself.

Due to thread safety issues this may cause leaking of strings that were previously returned from `g_get_user_special_dir()` that can’t be freed. We ensure to only leak the data for the directories that actually changed value though.

Available since: 2.22